Get Orders

View as Markdown
Retrieves a paginated list of orders from your ShipBob account with optional filters. All filter parameters use AND logic, meaning orders must match all provided criteria to be returned.

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token or OAuth2

Headers

shipbob_channel_idstringOptionalformat: "int32"

Retrieve your channel ID from the GET /channel endpoint. Use the channel ID that has write scopes.

Query parameters

PageintegerOptional1-2147483647
Page of orders to get
LimitintegerOptional1-250
Amount of orders per page to request
IDsstringOptional

order ids to filter by, comma separated
Example: ?IDs=1,2

ReferenceIdsstringOptional

Reference ids to filter by, comma separated
Example: ?ReferenceIds=Ref1,Ref2

StartDatedatetimeOptional
Start date to filter orders inserted later than
EndDatedatetimeOptional
End date to filter orders inserted earlier than
SortOrderstringOptional
Order to sort results in
HasTrackingbooleanOptional
Has any portion of this order been assigned a tracking number
LastUpdateStartDatedatetimeOptional
Start date to filter orders updated later than
LastUpdateEndDatedatetimeOptional
End date to filter orders updated later than
IsTrackingUploadedbooleanOptional
Filter orders that their tracking information was fully uploaded
LastTrackingUpdateStartDatedatetimeOptional
Start date to filter orders with tracking updates later than the supplied date. Will only return orders that have tracking information
LastTrackingUpdateEndDatedatetimeOptional
End date to filter orders updated later than the supplied date. Will only return orders that have tracking information

Response

Success
channelobject or null
Created by channel metadata
created_datedatetime or null
Date this order was created
financialsobject or null
gift_messagestring or null
Gift message associated with the order
idinteger or null
Unique id of the order
order_numberstring or null
User friendly orderId or store order number that will be shown on the Orders Page. If not provided, referenceId will be used
productslist of objects or null
List of products included in the order
purchase_datedatetime or null
Date this order was purchase by the end user
recipientobject or null
Information about the recipient of an order
reference_idstring or null

Client-defined external unique id of the order

retailer_program_dataobject or null

Contains properties that needs to be used for fulfilling B2B/Dropship orders.

shipmentslist of objects or null
Shipments affiliated with the order
shipping_methodstring or null

Client-defined shipping method

shipping_termsobject or null
Contains shipping properties that need to be used for fulfilling an order.
statusenum or null
tagslist of objects or null

Client-defined order tags

typeenum or null
Allowed values:

Errors